org.keycloak.models.sessions.jpa.entities

## Class ClientSessionEntity

- java.lang.Object
- - org.keycloak.models.sessions.jpa.entities.ClientSessionEntity

-     @Entity
      public class ClientSessionEntity
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientSessionModel.Action` | `action`
    `protected String` | `authMethod`
    `protected String` | `clientId`
    `protected String` | `id`
    `protected Collection<ClientSessionNoteEntity>` | `notes`
    `protected String` | `realmId`
    `protected String` | `redirectUri`
    `protected Collection<ClientSessionRoleEntity>` | `roles`
    `protected UserSessionEntity` | `session`
    `protected int` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSessionEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientSessionModel.Action` | `getAction()`
    `String` | `getAuthMethod()`
    `String` | `getClientId()`
    `String` | `getId()`
    `Collection<ClientSessionNoteEntity>` | `getNotes()`
    `String` | `getRealmId()`
    `String` | `getRedirectUri()`
    `Collection<ClientSessionRoleEntity>` | `getRoles()`
    `UserSessionEntity` | `getSession()`
    `int` | `getTimestamp()`
    `void` | `setAction(ClientSessionModel.Action action)`
    `void` | `setAuthMethod(String authMethod)`
    `void` | `setClientId(String clientId)`
    `void` | `setId(String id)`
    `void` | `setNotes(Collection<ClientSessionNoteEntity> notes)`
    `void` | `setRealmId(String realmId)`
    `void` | `setRedirectUri(String redirectUri)`
    `void` | `setRoles(Collection<ClientSessionRoleEntity> roles)`
    `void` | `setSession(UserSessionEntity session)`
    `void` | `setTimestamp(int timestamp)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### session

          protected UserSessionEntity session

    - #### clientId

          protected String clientId

    - #### realmId

          protected String realmId

    - #### timestamp

          protected int timestamp

    - #### redirectUri

          protected String redirectUri

    - #### authMethod

          protected String authMethod

    - #### action

          protected ClientSessionModel.Action action

    - #### roles

          protected Collection<ClientSessionRoleEntity> roles

    - #### notes

          protected Collection<ClientSessionNoteEntity> notes

  - ### Constructor Detail

    - #### ClientSessionEntity

          public ClientSessionEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getSession

          public UserSessionEntity getSession()

    - #### setSession

          public void setSession(UserSessionEntity session)

    - #### getClientId

          public String getClientId()

    - #### setClientId

          public void setClientId(String clientId)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getTimestamp

          public int getTimestamp()

    - #### setTimestamp

          public void setTimestamp(int timestamp)

    - #### getRedirectUri

          public String getRedirectUri()

    - #### setRedirectUri

          public void setRedirectUri(String redirectUri)

    - #### getAction

          public ClientSessionModel.Action getAction()

    - #### setAction

          public void setAction(ClientSessionModel.Action action)

    - #### getRoles

          public Collection<ClientSessionRoleEntity> getRoles()

    - #### setRoles

          public void setRoles(Collection<ClientSessionRoleEntity> roles)

    - #### getNotes

          public Collection<ClientSessionNoteEntity> getNotes()

    - #### setNotes

          public void setNotes(Collection<ClientSessionNoteEntity> notes)

    - #### getAuthMethod

          public String getAuthMethod()

    - #### setAuthMethod

          public void setAuthMethod(String authMethod)

Copyright © 2015. All Rights Reserved.